// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PrintHead_PlantNr = grmi.NewField("PlantNr", "PrintHead.PlantNr", "plantnr", grmi.TypeInt)
var PrintHead_PrintHeadId = grmi.NewField("PrintHeadId", "PrintHead.PrintHeadId", "printheadid", grmi.TypeString)
var PrintHead_PrinterId = grmi.NewField("PrinterId", "PrintHead.PrinterId", "printerid", grmi.TypeString)
var PrintHead_PrintFileType = grmi.NewField("PrintFileType", "PrintHead.PrintFileType", "printfiletype", grmi.TypeString)
var PrintHead_PrintEventType = grmi.NewField("PrintEventType", "PrintHead.PrintEventType", "printeventtype", grmi.TypeString)
var PrintHead_PrintObjId = grmi.NewField("PrintObjId", "PrintHead.PrintObjId", "printobjid", grmi.TypeString)
var PrintHead_PrintObjType = grmi.NewField("PrintObjType", "PrintHead.PrintObjType", "printobjtype", grmi.TypeString)
var PrintHead_Status = grmi.NewField("Status", "PrintHead.Status", "status", grmi.TypeString)
var PrintHead_TemplateFile = grmi.NewField("TemplateFile", "PrintHead.TemplateFile", "templatefile", grmi.TypeString)
var PrintHead_TermId = grmi.NewField("TermId", "PrintHead.TermId", "termid", grmi.TypeString)
var PrintHead_WebAddress = grmi.NewField("WebAddress", "PrintHead.WebAddress", "webaddress", grmi.TypeString)
var PrintHead_PrintCopies = grmi.NewField("PrintCopies", "PrintHead.PrintCopies", "printcopies", grmi.TypeInt)
var PrintHead_PrintedTime = grmi.NewField("PrintedTime", "PrintHead.PrintedTime", "printedtime", grmi.TypeString)
var PrintHead_PrintedCopies = grmi.NewField("PrintedCopies", "PrintHead.PrintedCopies", "printedcopies", grmi.TypeInt)
var PrintHead_Ival1 = grmi.NewField("Ival1", "PrintHead.ival1", "ival1", grmi.TypeInt)
var PrintHead_Ival2 = grmi.NewField("Ival2", "PrintHead.ival2", "ival2", grmi.TypeInt)
var PrintHead_Cval1 = grmi.NewField("Cval1", "PrintHead.cval1", "cval1", grmi.TypeString)
var PrintHead_Cval2 = grmi.NewField("Cval2", "PrintHead.cval2", "cval2", grmi.TypeString)
var PrintHead_LastModify = grmi.NewField("LastModify", "PrintHead.LastModify", "lastmodify", grmi.TypeDateTime)
var PrintHead_LastUser = grmi.NewField("LastUser", "PrintHead.LastUser", "lastuser", grmi.TypeString)
var PrintHead_CreateTime = grmi.NewField("CreateTime", "PrintHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PrintHead = grmi.NewEntity(
	"PrintHead",
	func() interface{} { return &model.PrintHead{} },
	map[string]grmi.Field{
		PrintHead_PlantNr.Name:        PrintHead_PlantNr,
		PrintHead_PrintHeadId.Name:    PrintHead_PrintHeadId,
		PrintHead_PrinterId.Name:      PrintHead_PrinterId,
		PrintHead_PrintFileType.Name:  PrintHead_PrintFileType,
		PrintHead_PrintEventType.Name: PrintHead_PrintEventType,
		PrintHead_PrintObjId.Name:     PrintHead_PrintObjId,
		PrintHead_PrintObjType.Name:   PrintHead_PrintObjType,
		PrintHead_Status.Name:         PrintHead_Status,
		PrintHead_TemplateFile.Name:   PrintHead_TemplateFile,
		PrintHead_TermId.Name:         PrintHead_TermId,
		PrintHead_WebAddress.Name:     PrintHead_WebAddress,
		PrintHead_PrintCopies.Name:    PrintHead_PrintCopies,
		PrintHead_PrintedTime.Name:    PrintHead_PrintedTime,
		PrintHead_PrintedCopies.Name:  PrintHead_PrintedCopies,
		PrintHead_Ival1.Name:          PrintHead_Ival1,
		PrintHead_Ival2.Name:          PrintHead_Ival2,
		PrintHead_Cval1.Name:          PrintHead_Cval1,
		PrintHead_Cval2.Name:          PrintHead_Cval2,
		PrintHead_LastModify.Name:     PrintHead_LastModify,
		PrintHead_LastUser.Name:       PrintHead_LastUser,
		PrintHead_CreateTime.Name:     PrintHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrinterId", "PrintFileType", "PrintEventType", "PrintObjId", "PrintObjType", "Status", "TemplateFile", "TermId", "WebAddress", "PrintCopies", "PrintedTime", "PrintedCopies", "ival1", "ival2", "cval1", "cval2", "LastUser"})
